Class | Bio::Blast::RPSBlast::Report::Iteration
In: | lib/bio/appl/blast/rpsblast.rb
Parent: | Bio::Blast::Default::Report::Iteration

Iteration class for RPS-Blast. Though RPS-Blast does not iterate like PSI-BLAST, it aims to store a result of single query sequence.

Normally, the instance of the class is generated by Bio::Blast::RPSBlast::Report object.

### Methods

new

### Attributes

query_def | [R] | definition of the query
query_len | [R] | length of the query sequence

### Public Class methods

new(data, dummystr)

Creates a new Iteration object. It is designed to be called only internally from the Bio::Blast::RPSBlast::Report class. Users shall not use the method directly.

[Source]

         # File lib/bio/appl/blast/rpsblast.rb, line 245
    245:         def initialize(data, dummystr)
    246:           if /\AQuery\=/ =~ data[0] then
    247:             sc = StringScanner.new(data.shift)
    248:             sc.skip(/\s*/)
    249:             if sc.skip_until(/Query\= */) then
    250:               q = []
    251:               begin
    252:                 q << sc.scan(/.*/)
    253:                 sc.skip(/\s*^ ?/)
    254:               end until !sc.rest or r = sc.skip(/ *\( *([\,\d]+) *letters *\)\s*\z/)
    255:               @query_len = sc[1].delete(',').to_i if r
    256:               @query_def = q.join(' ')
    257:             end
    258:           end
    259:           data.unshift(dummystr)
    260:
    261:           super(data)
    262:         end

[Validate]